homepage/urls.py
from django.contrib import admin

from django.urls import path
from . import views

app_name = 'homepage'

urlpatterns = [
    path('', views.home_fix, name='home_fix'),
    path('about/', views.about, name='about'),
    path('works/', views.my_work, name='my_work'),
    path('contact/', views.contact_me, name='contact_me'),
    path('edufia/', views.work_edufia, name='work_edufia'),
    path('pemira/', views.work_edufia, name='work_pemira'),
    path('make-schedule/', views.forms, name='forms'),
    path('edit-schedule/', views.seeSchedule, name='seeSchedule'),
    path('del_all/', views.seeSchedule, name='del_all'),
    path('sched_delete/<int:pk>', views.seeSchedule, name='sched_delete'),
    
]

story_empat/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('homepage.urls')),
]

homepage/models.py
from django.db import models
from django.utils import timezone
from datetime import datetime

# Create your models here.




class Schedule(models.Model):
    CATEGORY = [('Exam','Exam'), ('Quiz','Quiz'), ('Homework','Homework'), ('Study','Study'), ('Meeting','Meeting'), ('Event','Event')]
    dates = models.DateField()
    time = models.TimeField()
    activity = models.CharField(max_length=50)
    location = models.CharField(max_length=50)
    category = models.CharField(max_length=50, choices=CATEGORY)

def __str__(self):
    return self.activity

homepage/forms.py
from django import forms
from django.forms import ModelForm
from .models import ScheduleFormModel

class ScheduleForm(ModelForm):
        class Meta:
        model = Schedule
        fields = ['dates', 'time', 'activity', 'location', 'category']
        labels = {
            'dates' : 'Date', 'time' : 'Time', 'activity' : 'Activity', 'location' : 'Location', 'category' : 'Category'
        }
        widgets = {
            'dates' : forms.DateInput(attrs={'class': 'form-control',
                                        'type' : 'date'}),
            'time' : forms.TimeInput(attrs={'class': 'form-control',
                                        'type' : 'time'}),
            'activity' : forms.TextInput(attrs={'class': 'form-control',
                                        'type' : 'text'}),
            'location' : forms.TextInput(attrs={'class' : 'form-control',
                                        'type' : 'text'}),
            'category' : forms.Select(attrs={'class': 'form-control'})
        }

homepage/views.py
from django.shortcuts import render
from django import forms
from django.forms import ModelForm
from .models import ScheduleFormModel

# Create your views here.
def home_fix(request):
    return render(request, 'home_fix.html')

def about(request):
    return render(request, 'about.html')

def contact_me(request):
    return render(request, 'contact_me.html')

def my_work(request):
    return render(request, 'my_work.html')

def work_edufia(request):
    return render(request, 'work_edufia.html')

def work_pemira(request):
    return render(request, 'work_pemira.html')

def forms(request):
    if request.method == 'POST':
        form = ScheduleForm(request.POST)
        if form.is_valid():
            form.save()
            return HttpResponseRedirect('../forms')
    else:
        form = ScheduleForm()

    content = {'title' : 'Form Schedule',
                'form' : form}

    return render(request, 'forms.html', content)

def seeSchedule(request):
    data = Schedule.objects.all()
    content = {'title' : 'Schedule',
                'data' : data}
    return render(request, 'seeSchedule.html', content)

def del_all(request):
    if request.method == "POST":
        Schedule.objects.all().delete()
        data = Schedule.objects.all()
        content = {'title' : 'Schedule',
                'data' : data}
        return HttpResponseRedirect('/seeSchedule')
    return HttpResponseRedirect('/seeSchedule')

def sched_delete(request, pk):
    Schedule.objects.filter(pk=pk).delete()
    data = Schedule.objects.all()
    content = {'title' : 'Schedule',
                'data' : data}
    return HttpResponseRedirect('/seeSchedule')

homepage/templates/about.html
<!DOCTYPE html>
{% extends 'navbar.html' %}
{% load static %}
<html>
    <html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name = "viewport" content = "width-device-width, initial-scale=1.0">
        <meta http-equiv = "X-UA-Compatible" content="ie=edge">
        <title> Amrisandha Prasetyo </title>
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
        <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
        <link rel = "stylesheet" type = "text/css" href = "{% static 'css/home_fix_style.css' %}">
        
    </head>
        
    {% block content %}    
    <body>
        <div id = "container_about_me">
            <div class = "about_me">
                <div class = "about_me_kiri">
                    <div id = "prof_pic">
                        <img src="{% static 'images/DSC_10960.jpg' %}" alt width="600px">
                    </div>

                    <div id="about_me">
                        <h1 style="font-family: DM Serif Display; font-size: 80px; line-height: 90%; color: white">about <br> me</h1>
                    </div>

                    </div>


                <div class = "about_me_kanan">
                    <div id = "text">
                        <div id="born_in_">
                            <h1 style = "font-family: Montserrat; font-weight: 600; font-size: 35px"> Born in 2001. <br> Been a dreamer since then. </h1>
                        </div>

                        <div id="i_am">
                            <p style = "font-family: Montserrat"> I am Amrisandha Prasetyo, a Computer Science student at Universitas Indonesia. I strive to connect 
                                 my creative side with technology. I am enthusiastic for graphic design, illustration, typography, and animation.
                                <br>
                                <br>One dream I have is to own an Indonesian food truck company in the United States. How peculiar is that.
                                <br>
                                <br> I enjoy working while listening to RnB and pop music. Frank Ocean is one of a favorite.
                                <br>
                            </p>

                            <p style="font-family: Montserrat; font-weight: 500">
                                <br> Art. Technology. Food. Whatever. 
                                <br>Enjoy the beauty of it.
                            </p>

                        </div>
                    </div>
                </div>
            </div>
            <div class = "row">
                    <div class = "col-xs-12 col-xl-12">
                        <div id ="footer">
                            <h1 style = "font-family: Montserrat; font-weight: 400; font-size: 15px"> &copy; 2019 Amrisandha Prasetyo</h1>
                        </div>
                    </div>
                </div>

            </div>
    </body>
    {% endblock content %}
</html>

    

homepage/templates/contact_me.html
<!DOCTYPE html>
{% extends 'navbar.html' %}
{% load static %}
<html>
    <html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name = "viewport" content = "width-device-width, initial-scale=1.0">
        <meta http-equiv = "X-UA-Compatible" content="ie=edge">
        <title> Amrisandha Prasetyo </title>
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
        <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
        <link rel = "stylesheet" type = "text/css" href = "{% static 'css/home_fix_style.css' %}">
    </head>
    
    {% block content %}
    <body>
            <div id = "container_contact_me">
                <div id="contact_me">
                    <h1 style="font-family: DM Serif Display; font-size: 80px; line-height: 90%">contact <br> me</h1>
                </div>


                <div id = "email_me_at">
                    <h3 style = "font-family: Montserrat; font-weight: 300; font-size: 25px">email me at</h3>
                </div>


                <div id = "email">
                    <h3 style = "font-family: Montserrat; font-weight: 500; font-size: 30px">amrisandha.prasetyo@gmail.com</h3>
                </div>


                <div id = "connect_with_me">
                    <h3 style = "font-family: Montserrat; font-weight: 300; font-size: 25px">connect with me through</h3>
                </div>


                <div class = "my_work_icons">
                    <div id = "linkedin">
                        <a href = "https://www.linkedin.com/in/amrisandha-prasetyo/" target="_blank"> <img src="{% static 'images/linkedin_kecil.jpg' %}" alt width = "60" height = "60"> </a>

                    </div>


                    <div id = "whatsapp">
                        <a href = "https://wa.me/+6285921243482" target="_blank"> <img src="{% static 'images/wa_kecil.jpg' %}" alt width = "60" height = "60"> </a>

                    </div>

                </div>


                <div id ="footer_contact_me">
                    <h1 style = "font-family: Montserrat; font-weight: 400; font-size: 15px"> &copy; 2019 Amrisandha Prasetyo</h1>
                </div>

        </div>
        
    </body>
    {% endblock content %}
</html>

    

homepage/templates/forms.html
<!DOCTYPE html>
{% extends 'navbar.html' %}
{% load static %}
<html>
    <html lang="en">
        
    <head>
        <meta charset="utf-8">
        <meta name = "viewport" content = "width-device-width, initial-scale=1.0">
        <meta http-equiv = "X-UA-Compatible" content="ie=edge">
        <title> Amrisandha Prasetyo </title>
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
        <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
        <link rel = "stylesheet" type = "text/css" href = "{% static 'css/home_fix_style.css' %}">
    </head>
    
    
    {% block content %}
    <div class ="container" >
        <h1 style="color:black">Schedule<br></h1>
      <form action="/forms/" method="post">
        {% csrf_token %}
        <div class="form-group">
            <label for="date">Date</label>
            {{form.dates}}
        </div>
        <div class="form-group">
            <label for="time">Time</label>
            {{form.time}}
        </div>
        <div class="form-group">
          <label for="activity">Activity</label>
          {{form.activity}}
        </div>
        <div class="form-group">
          <label for="location">Location</label>
          {{form.location}}
        </div>
        <div class="form-group">
          <label for="location">Category</label>
          {{form.category}}
        </div>
        <button type="submit" class="btn btn-primary" value="Save">Submit</button>
      </form>
      <a href="{% url 'homepage:seeSchedule' %}"><button type="submit" class="btn btn-primary" >See Schedule</button></a>
   </div>
         
    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>

  {% endblock %}
        
</html>

    

homepage/templates/home_fix.html
<!DOCTYPE html>
{% extends 'navbar.html' %}
{% load static %}
<html>
    <html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name = "viewport" content = "width-device-width, initial-scale=1.0">
        <meta http-equiv = "X-UA-Compatible" content="ie=edge">
        <title> Amrisandha Prasetyo </title>
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
        <link rel = "stylesheet" type = "text/css" href = "{% static 'css/home_fix_style.css' %}">
        <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
    </head>
    
    {% block content %}
    <body>
        
        <div id class = "container">
            <div id = "container_home">
                <div class = "container-text center">
                    <div class = "row text-center">
                        <div class="col-xs-12 col-xl-12">
                            <div id="hi__i_am">
                                <h2 style="font-size: 45px; letter-spacing: -2px">hi, i am</h2>
                            </div>
                            <div id="amrisandha_prasetyo">
                                 <h1 style="font-size: 100px; line-height: 90%; letter-spacing: -2px">amrisandha<br/>prasetyo</h1>
                            </div>
                            <div id="computer_science_student___gra">
                                <h3 style="font-size: 24px; font-weight: 500">computer science student / graphic designer</h3>
                            </div>
                            
                        </div>
                    </div>
                    
                    <div class = "row text-center">
                        <div class = "col-xs-12 col-xl-12">
                            <div id ="footer_home">
                                <h1 style = "font-family: Montserrat; font-weight: 400; font-size: 15px"> &copy; 2019 Amrisandha Prasetyo</h1>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </body>
    {% endblock content %}
</html>

    

homepage/templates/my_work.html
<!DOCTYPE html>
{% extends 'navbar.html' %}
{% load static %}
<html>
    <html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name = "viewport" content = "width-device-width, initial-scale=1.0">
        <meta http-equiv = "X-UA-Compatible" content="ie=edge">
        <title> Amrisandha Prasetyo </title>
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
        <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
        <link rel = "stylesheet" type = "text/css" href = "{% static 'css/home_fix_style.css' %}">
    </head>
    
    {% block content %}
    <body>
        <div class = "semua_my_work">
        <div class = "container_my_work">
                <div id = "container_my_work">
                <div id="my_work">
                    <h1 style="font-family: DM Serif Display; font-size: 70px; line-height: 95%">my <br> work</h1>
                </div>
                
                
                <div id = "work_pemira">
                    <div id = "pemira_title">
                        <h1 style="font-family: Montserrat; font-weight: 600; color: black; font-size: 30px">Pemira IKM Fasilkom UI</h1>
                    </div>
                    
                    <div id = "pemira_desc">
                        <h2 style="font-family: Montserrat; font-weight: 300; color: black; font-size: 20px"> The student executive election of <br> Fakultas Ilmu Komputer Universitas Indonesia</h2>
                    </div>
                    
                    
                    <div id = "pemira_cover">
                        <a href="{% url 'homepage:work_pemira' %}"> <img src="{% static 'images/pemira%20cover.jpg' %}" alt width = "70%" height = "70%"> </a>
                        
                    </div>
                </div>
                
                
                <div id = "work_edufia">
                    <div id = "edufia_title">
                        <h1 style="font-family: Montserrat; font-weight: 600; color: black; font-size: 30px">Edufia</h1>
                    </div>
                    
                    <div id = "edufia_desc">
                        <h2 style="font-family: Montserrat; font-weight: 300; color: black; font-size: 20px"> The first online science olympiad <br> platform in Indonesia</h2>
                    </div>
                    
                    <div id = "edufia_cover">
                        <a href="{% url 'homepage:work_edufia' %}"> <img src="{% static 'images/edufia%20cover.jpg' %}" alt width = "70%" height = "70%"> </a>
                        
                    </div>
                </div>    
                
                <div id = "work_we">
                    <div id = "we_title">
                         <h1 style="font-family: Montserrat; font-weight: 600; color: black; font-size: 30px">World of Education</h1>
                    </div>
                    
                    <div id = "we_desc">
                        <h2 style="font-family: Montserrat; font-weight: 300; color: black; font-size: 20px"> A voluntary program to develop education <br> quality for the underprivileged children of Jakarta  </h2>
                    </div>
                    
                    <div id = "we_cover">
                        <img src="{% static 'images/we%20cover.jpg' %}" alt width = "70%" height = "70%">
                    </div>
                </div>    
                </div>   
            </div>
        
            <div class = "row">
                        <div class = "col-xs-12 col-xl-12">
                            <div id ="footer">
                                <h1 style = "font-family: Montserrat; font-weight: 400; font-size: 15px"> &copy; 2019 Amrisandha Prasetyo</h1>
                            </div>
                        </div>
                    </div>
        
        
        </div>
        
        
    </body>
    {% endblock content %}
</html>

    

homepage/templates/navbar.html
<!DOCTYPE html>
{% load static %}
<html>
    <html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name = "viewport" content = "width-device-width, initial-scale=1.0">
        <meta http-equiv = "X-UA-Compatible" content="ie=edge">
        <title> Amrisandha Prasetyo </title>
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
        <link rel = "stylesheet" type = "text/css" href = "{% static 'css/home_fix_style.css' %}">
    </head>
    
    <body>
        <nav class="navbar navbar-expand-lg navbar-light  sticky-top">
          <a class="navbar-brand" href="#"><img src = logo.png alt width="50%"></a>
          <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarTogglerDemo02" aria-controls="navbarTogglerDemo02" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>

          <div class="collapse navbar-collapse" id="navbarTogglerDemo02">
            <ul class="navbar-nav ml-auto">
              <li class="nav-item">
                <a class="nav-link" href="{% url 'homepage:home_fix' %}">home</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="{% url 'homepage:about' %}">about me</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="{% url 'homepage:my_work' %}">my work</a>
              </li>
                <li class="nav-item">
                <a class="nav-link" href="{% url 'homepage:contact_me' %}">contact me</a>
              </li>
            </ul>
          </div>
        </nav>
        
        {% block content %}{% endblock %}
        <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
        {% block script %}{% endblock %}

        
    </body>
</html>

    